Subject: Re: [RFC net-next 0/6] Cleanup IRQ affinity checks in several drivers

From: Jakub Kicinski <[email-masked]>
Date: Tue, 13 Aug 2024 17:17:10 -0700

On Mon, 12 Aug 2024 14:56:21 +0000 Joe Damato wrote:
> Several drivers make a check in their napi poll functions to determine
> if the CPU affinity of the IRQ has changed. If it has, the napi poll
> function returns a value less than the budget to force polling mode to
> be disabled, so that it can be rescheduled on the correct CPU next time
> the softirq is raised.

Any reason not to use the irq number already stored in napi_struct ?